JOBARG_GET(1)

NAME
jobarg_get - Jobarranger Jobnet status get utility.

SYNOPSIS
jobarg_get [-hV] -z <server> [-p <port>] -U <user-name> -P <password> -r <registry-number> [-e]

DESCRIPTION
jobarg_get is a command line utility for getting status of jobnet from a remote Jobarranger server.

  Options

-z <server>
    Hostname or IP address of Jobarranger server.

-p <port>
    Specify port number of server trapper running on the server. Default is 10061.

-U <user-name>
    Specify a user who has permission to reference the jobnet.

-P <password>
    The user password.

-r <registry-number>
    Specify the jobnet registration number to be referenced.

-e  Specify output in the environment variable format. (with bash format)

-h  Display this help and exit.

-V  Display version number.

EXIT STATUS
Becomes the exit status of the following depending on the state of the jobnet if the jobnet information can be retrieved successfully. Exit status is 255 if fails to register a jobnet or parameter error.
 0: Jobnet not run. (waiting to start)
 1: Jobnet execution in preparation.
 2: Jobnet running.
 21: A jobnet running and job time-out occurs.
 22: A jobnet and running job error.
 3: The jobnet successful completion.
 4: Jobnet execution error.
 5: The jobnet abnormal termination.

SEE ALSO
jobarg_server(8), jobarg_agentd(8), jobarg_exec(1), jobarg_joblogput(1), jobarg_release(1)

AUTHOR
Takeshi Sako <sako@fitechforce.co.jp>